# Uses of Enum Class
org.bukkit.event.player.PlayerQuitEvent.QuitReason

Packages that use PlayerQuitEvent.QuitReason
Package
Description
org.bukkit.event.player
`Events` relating to `players`.

## Uses of PlayerQuitEvent.QuitReason in org.bukkit.event.player

Methods in org.bukkit.event.player that return PlayerQuitEvent.QuitReason
Modifier and Type
Method
Description
`@NotNull PlayerQuitEvent.QuitReason`
PlayerQuitEvent.`getReason()`
`static PlayerQuitEvent.QuitReason`
PlayerQuitEvent.QuitReason.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static PlayerQuitEvent.QuitReason[]`
PlayerQuitEvent.QuitReason.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Constructors in org.bukkit.event.player with parameters of type PlayerQuitEvent.QuitReason
Modifier
Constructor
Description
``
`PlayerQuitEvent(@NotNull Player who, @Nullable String quitMessage, @Nullable PlayerQuitEvent.QuitReason quitReason)`
Deprecated.
``
`PlayerQuitEvent(@NotNull Player who, Component quitMessage, @Nullable PlayerQuitEvent.QuitReason quitReason)`